- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# sysctl – Manage entries in sysctl.conf

- Synopsis

- Parameters

- Examples

- Status

## Synopsis

- This module manipulates sysctl entries and optionally performs a `/sbin/sysctl -p` after changing them.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
ignoreerrors boolean | Choices: no ← yes | Use this option to ignore errors about unknown keys.
name - / required |  | The dot-separated path (aka key) specifying the sysctl variable. aliases: key
reload boolean | Choices: no yes ← | If `yes`, performs a /sbin/sysctl -p if the `sysctl_file` is updated. If `no`, does not reload sysctl even if the `sysctl_file` is updated.
state - | Choices: present ← absent | Whether the entry should be present or absent in the sysctl file.
sysctl_file - | Default: "/etc/sysctl.conf" | Specifies the absolute path to `sysctl.conf`, if not `/etc/sysctl.conf`.
sysctl_set boolean | Choices: no ← yes | Verify token value with the sysctl command and set with -w if necessary
value - |  | Desired value of the sysctl key. aliases: val

## Examples

    # Set vm.swappiness to 5 in /etc/sysctl.conf
    - sysctl:
        name: vm.swappiness
        value: '5'
        state: present

    # Remove kernel.panic entry from /etc/sysctl.conf
    - sysctl:
        name: kernel.panic
        state: absent
        sysctl_file: /etc/sysctl.conf

    # Set kernel.panic to 3 in /tmp/test_sysctl.conf
    - sysctl:
        name: kernel.panic
        value: '3'
        sysctl_file: /tmp/test_sysctl.conf
        reload: no

    # Set ip forwarding on in /proc and verify token value with the sysctl command
    - sysctl:
        name: net.ipv4.ip_forward
        value: '1'
        sysctl_set: yes

    # Set ip forwarding on in /proc and in the sysctl file and reload if necessary
    - sysctl:
        name: net.ipv4.ip_forward
        value: '1'
        sysctl_set: yes
        state: present
        reload: yes

## Status

- This module is guaranteed to have backward compatible interface changes going forward. [stableinterface]

- This module is maintained by the Ansible Core Team. [core]

### Red Hat Support

More information about Red Hat’s support of this module is available from this Red Hat Knowledge Base article.

### Authors

- David CHANIAL (@davixx) <david.chanial@gmail.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.